%define oname   dbd-mysql

Name:       ruby-%{oname}
Version:    0.4.4
Release:    %mkrel 1
Summary:    MySQL DBI DBD, Leverages 'mysql' low-level driver
License:    BSD
Group:      Development/Ruby
URL:        http://www.rubyforge.org/projects/ruby-dbi
Source0:    http://rubygems.org/downloads/%{oname}-%{version}.gem
BuildRequires: rubygems
Requires:   ruby(abi) = 1.8
BuildArch:  noarch

%description
MySQL DBI DBD, Leverages 'mysql' low-level driver

%files
%defattr(-, root, root, -)
%dir %{ruby_gemdir}/gems/%{oname}-%{version}/
%{ruby_gemdir}/gems/%{oname}-%{version}/lib
%{ruby_gemdir}/specifications/%{oname}-%{version}.gemspec

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.
%files          doc
%defattr(-,root,root,-)
%doc %{ruby_gemdir}/doc/%{oname}-%{version}
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/README
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/LICENSE
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/ChangeLog
#-------------------------------------------------------------------------------

%prep
%setup -q
tar xmf data.tar.gz

%build
%gem_build

%install
rm -rf %{buildroot}
%gem_install

%clean
rm -rf %{buildroot}



%changelog
* Wed Feb 09 2011 shikamaru <shikamaru> 0.4.4-1.mga1
+ Revision: 49407
- imported package ruby-dbd-mysql


* Wed Feb 09 2011 Rémy Clouard <shikamaru@mandriva.org> - 0.4.4-1
- Initial package
